import { Form, Select } from "antd";
import { FormDatas } from "./interface";
import { useEffect, useState } from "react";
import baseHttp from "@/service/base";
const { Option } = Select;
export const FormSelect = (v: FormDatas) => {
  const [list, setList] = useState([]);
  useEffect(() => {
    baseHttp
      .get(`${v.selectUrl}/?pageSize=100&pageNum=1` ?? "", "")
      .then((res) => {
        setList(res.data.list ?? []);
      });
  }, [v.selectUrl]);
  return (
    <Form.Item key={v.label} label={v.label} name={v.name} rules={v.rules}>
      <Select placeholder="">
        {list?.map((v: any) => {
          return (
            <Option key={v.id} value={v.id}>
              {v.productTypeName}
            </Option>
          );
        })}
      </Select>
    </Form.Item>
  );
};
