import { Outlet, useNavigate } from "react-router-dom";
import { Layout, Menu } from "antd";
import "./layout.less";
import { MenuFoldOutlined, MenuUnfoldOutlined } from "@ant-design/icons";
import { useState } from "react";
import type { MenuProps } from 'antd';
import React from "react";
import menuList from "../menu";
const LayOut = (props: any) => {
  const { Header, Sider } = Layout;
  const [collapsed, setCollapsed] = useState(false);
  const navigate = useNavigate();
  const [openKeys, setOpenKeys] = useState(["/"]);
  const rootSubmenuKeys = ['/', '/user-manage', '/dynamic-manage',"/active","/merchant-manage","/system","/rbac"];
  const onOpenChange:MenuProps['onOpenChange'] = (keys) => {
    const latestOpenKey = keys.find((key) => openKeys.indexOf(key) === -1);
    if (latestOpenKey && rootSubmenuKeys.indexOf(latestOpenKey!) === -1) {
      setOpenKeys(keys);
    } else {
      setOpenKeys(latestOpenKey ? [latestOpenKey] : []);
    }
  };
  return (
    <div className="layout">
      <Layout>
        <Sider trigger={null} collapsible collapsed={collapsed}>
          <div className="logo" />
          <Menu
            theme="dark"
            mode="inline"
            openKeys={openKeys}
            defaultSelectedKeys={["1"]}
            onClick={(key) => navigate(key.key)}
            onOpenChange={onOpenChange}
            items={menuList}
          />
        </Sider>
        <Layout className="site-layout">
          <Header className="site-layout-background" style={{ padding: 0 }}>
            {React.createElement(
              collapsed ? MenuUnfoldOutlined : MenuFoldOutlined,
              {
                className: "trigger",
                onClick: () => setCollapsed(!collapsed),
              }
            )}
            <div
              className="loginOut"
              onClick={() => {
                props.userStore.logOut();
              }}
            >
              退出登录
            </div>
          </Header>
          <Outlet />
        </Layout>
      </Layout>
    </div>
  );
};

export default LayOut;
