import { Space, Tabs, TabsProps } from "antd";
import { inject, observer } from "mobx-react";
import { Store } from "antd/lib/form/interface";
import PayConfig from "./config/pay-config";
import PushConfig from "./config/push-config";
import ImConfig from "./config/im-config";
import { useEffect } from "react";
import { useParams } from "react-router";
const AppManageConfig = (props: Store) => {
  const { appStore } = props
  const { id } = useParams();
  useEffect(()=>{
    appStore.getApp(id)
  },[appStore,id])
  const items: TabsProps["items"] = [
    {
      key: "1",
      label: "支付配置",
      children: <PayConfig />,
    },
    {
      key: "2",
      label: "推送配置",
      children: <PushConfig />,
    },
    {
      key: "3",
      label: "im配置",
      children: <ImConfig />,
    },
  ];
  const onChange = ()=>{
    appStore.getApp(id)
  }
  return (
    <div className="contentBox">
      <Space direction="vertical" size="middle" style={{ display: "flex" }}>
        <Tabs defaultActiveKey="1" type="card" items={items} onChange={onChange}/>
      </Space>
    </div>
  );
};

export default inject("appStore")(observer(AppManageConfig));
