import { useEffect, useState } from "react";
import "./index.less"
import baseHttp from "@/service/base";

import { Editor } from '@tinymce/tinymce-react';
import Button from "antd/lib/button";
import { useNavigate, useParams } from "react-router-dom";
import { inject, observer } from "mobx-react";
const Editors = (props) => {
    const { characterStore, currentEventStore } = props;
    const [value, setValue] = useState<any>("");
    const [savevalue, setSaceValue] = useState<any>("");
    const { id, type } = useParams()
    const navigate = useNavigate();
    useEffect(() => {
        if (type === "1") {
            setValue(currentEventStore.item.content)
        } else {
            setValue(characterStore.item.content)
        }
    }, [characterStore.item.content, currentEventStore.item.content, type])
    const handleEditorChange = (content, editor) => {
        setSaceValue(content);
    }
    const imagesUploadHandler = async (blobInfo, progress) => {
        var data = new FormData();
        data.append('attachments', blobInfo.blob(), blobInfo.filename());
        let url = "http://81.68.81.205:1234/apis/v1/attachment";
        let res = await baseHttp.upload(url,data)
        return res.data.url
    }
    return (
        <div className="projectContent">
            <div className="editContentBox">
                <Button className="editBtn" onClick={() => {
                    if (type === "1") {
                        let item = currentEventStore.item
                        item.content = savevalue;
                        currentEventStore.putItem(id, item);
                    } else {
                        let item = characterStore.item
                        item.content = savevalue;
                        characterStore.putItem(id, item);
                    }
                    navigate(-1)
                }}>保存</Button>
                <Editor
                    initialValue={value}
                    apiKey="hq72bjfug6s56a5qxa2oxpbqsxc58nv4v7nfruyd5ndpgu72"
                    init={{
                        menubar: false,
                        statusbar: false, // 隐藏底部状态栏
                        branding: false, // 隐藏tinymce右下角水印
                        resize: false, //右下角调整编辑器大小，false关闭，true开启只改变高度，'both' 宽高都能改变
                        plugins: [
                            'autolink',
                            'link',
                            'image ',
                            'lists',
                            'charmap',
                            'preview',
                            'anchor',
                            'pagebreak',
                            'visualblocks',
                            'visualchars',
                            'fullscreen',
                            'insertdatetime',
                            'nonbreaking',
                            'directionality',
                            'template',
                            "searchreplace",
                            "hr",
                            "advlist",
                            "textpattern",
                            "help",
                            "autosave",
                            "bdmap",
                            "autoresize",
                            "formatpainter",
                            "paragraph"
                        ],
                        toolbar: [
                            '  blocks | paragraph |styleselect| blockquote | hr bold underline italic alignleft aligncenter alignright | forecolor backcolor | fontsize lineheight | bullist numlist outdent indent | link image | undo redo | fullscreen | bdmap',
                        ],
                        font_size_formats: '8px 10px 12px 14px 18px 24px 36px',
                        line_height_formats: '1 1.2 1.4 1.6 2',
                        height: 600,
                        min_height: 600,
                        images_upload_handler: imagesUploadHandler
                    }}
                    onEditorChange={handleEditorChange}
                />
            </div>
        </div>
    );
};

export default inject("characterStore","currentEventStore")(observer(Editors));