import { Button, Modal, Popconfirm } from "antd";
import type { ColumnsType } from "antd/es/table";
import { CardDataType } from "@/util/model/interface";
import { inject, observer } from "mobx-react";
import BTable from "@/components/BTable";
import "./index.less";
import { useEffect, useState } from "react";
import { useParams } from "react-router-dom";
const Componsition = (props) => {
  const { componSitionStore } = props;
  const [isModalOpen, setIsModalOpen] = useState(false);
  const { id } = useParams();
  const columns: ColumnsType<CardDataType> = [
    {
      title: "作文编号",
      dataIndex: "compositionId",
    },
    {
      title: "作文名称",
      dataIndex: "title",
    },
    {
      title: "作者",
      dataIndex: "username",
    },
    {
      title: "点赞数",
      dataIndex: "count",
    },
    {
      title: "内容",
      dataIndex: "content",
      width: 350,
    },
    {
      title: "操作",
      dataIndex: "compositionId",
      ellipsis: {
        showTitle: false,
      },
      render: (ids, record) => (
        <div>
          <Popconfirm
            title="是否确认删除?"
            okText="Yes"
            cancelText="No"
            onConfirm={() => {
              componSitionStore.delete(ids);
              componSitionStore.list(id);
            }}
          >
            <Button type="dashed" danger size="small">
              删除
            </Button>
          </Popconfirm>
        </div>
      ),
    },
  ];

  useEffect(() => {
    componSitionStore.list(id);
  }, [componSitionStore, id]);
  return (
    <div className="projectContent">
      <Modal
        title="作文内容"
        width={800}
        open={isModalOpen}
        onCancel={() => setIsModalOpen(false)}
      ></Modal>
      <BTable
        columns={columns}
        store={componSitionStore}
        dataSource={componSitionStore.datalist}
      />
    </div>
  );
};

export default inject("componSitionStore")(observer(Componsition));
