import BTable from "@/components/BTable";
import { Button, Space } from "antd";
import { ColumnsType } from "antd/lib/table";
import { inject, observer } from "mobx-react";
import { Store } from "antd/lib/form/interface";
import { useEffect } from "react";

const DymiticState = (props: Store) => {
  const { dynamicStore } = props;
  const columns: ColumnsType = [
    { title: "用户昵称", dataIndex: "desc" },
    { title: "动态内容", dataIndex: "desc" },
    { title: "动态图片", dataIndex: "desc" },
    { title: "发布地址", dataIndex: "address" },
    { title: "点赞数", dataIndex: "likeNum" },
    { title: "话题", dataIndex: "topicName" },
    { title: "操作", dataIndex: "id", render: (id: any) => render(id) },
  ];
  const render = (id) => (
    <div >
      <Space align="center">
        <Button
          type="dashed"
          danger
          size="small"
          onClick={()=>{
            dynamicStore.deleteItem(id)
          }}
        >
          删除
        </Button>
      </Space>
    </div>
  );
  useEffect(() => {
    dynamicStore.getlist();
  }, [dynamicStore]);
  return (
    <div style={{ margin: 10 }} className="projectContent">
      <BTable
        loading={dynamicStore.listStatus}
        columns={columns}
        store={dynamicStore}
        dataSource={dynamicStore.list}
      />
    </div>
  );
};
export default inject("dynamicStore")(observer(DymiticState));
