import { createHashRouter } from "react-router-dom";
import App from "@/App";
import ErrorPage from "@/pages/errorPage";
import Login from "@/pages/login/login";
import { homeRouter } from "@/router/routers/home_router"
import { cardRouter } from "@/router/routers/card_router"
import { userRouter } from "@/router/routers/user_router"
import { projectRouter } from "@/router/routers/project_router"
import { systemRouter } from "@/router/routers/system_router";
import { merchantRouter } from "@/router/routers/merchant-router";
import { activeRouter } from "@/router/routers/active_router";
import { dymiticStateRouter } from "@/router/routers/dymitic_state_router";
import { rbacRouter } from "./routers/rbac_router";
import { taskRouter } from "./routers/task";
import { appRouter } from "./routers/app";
const routers = createHashRouter([
  {
    path: "/",
    element: <App />,
    children: [
      ...homeRouter,
      ...cardRouter,
      ...userRouter,
      ...projectRouter,
      ...systemRouter,
      ...merchantRouter,
      ...activeRouter,
      ...dymiticStateRouter,
      ...rbacRouter,
      ...taskRouter,
      ...appRouter,
    ]
  },
  {
    path: "/login",
    element: <Login />,
  },
  {
    path: "/404",
    element: <ErrorPage />,
  },
]);




export { routers };