import { CardDataType } from "@/util/model/interface";
import BaseStore from "../baseStore";
import baseHttp from "@/service/base";
import { action, makeObservable } from "mobx";
import AppConfig from "@/service/apiConfig/appConfig";

class AppStore extends BaseStore<CardDataType> {
    constructor() {
        super(AppConfig)
        makeObservable(this, {
            getApp: action
        })
    }
    // 设置Ios 配置
    async setIosConfig(id: number, param) {
        return await baseHttp.put(AppConfig.IOSAPPPUSH + id, param)
    }

    // 设置hw 配置
    async setHwConfig(id: number, param) {
        return await baseHttp.put(AppConfig.HUAWEIAPPPUSH + id, param)
    }

    // 设置op 配置
    async setOPConfig(id: number, param) {
        return await baseHttp.put(AppConfig.OPPOAPPPUSH + id, param)
    }

    // 设置op 配置
    async setVivoConfig(id: number, param) {
        return await baseHttp.put(AppConfig.VIVOAPPPUSH + id, param)
    }

    // 设置wx 配置
    async setWechatConfig(id: number, param) {
        return await baseHttp.put(AppConfig.WechatConfig + id, param)
    }
    // 设置wx 配置
    async setXmConfig(id: number, param) {
        return await baseHttp.put(AppConfig.XIAOMIAPPPUSH + id, param)
    }

    // 设置wx 配置
    async setAlConfig(id: number, param) {
        return await baseHttp.put(AppConfig.ALCONFIG + id, param)
    }

    async getApp(id: number) {
        let data = await baseHttp.get(AppConfig.ADD + "/" + id, {})
        this.item = data.data
    }
}
export default new AppStore();